package cn.com.poc.writing.entity;

import java.util.Date;
import java.util.List;

/**
 * @author 52747
 * @date 2025/8/14
 */
public class ExaminationEntity {

    private String examinationId;

    private String title;

    private Integer n;

    private String level;

    private Date date;

    private Integer totalScore;

    private String positions;

    private List<String> questionType;

    private List<ExaminationDetail> examinationDetails;

    private String content;

    private String fileUrl;

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public List<String> getQuestionType() {
        return questionType;
    }

    public void setQuestionType(List<String> questionType) {
        this.questionType = questionType;
    }

    public Integer getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Integer totalScore) {
        this.totalScore = totalScore;
    }

    public String getPositions() {
        return positions;
    }

    public void setPositions(String positions) {
        this.positions = positions;
    }

    public List<ExaminationDetail> getExaminationDetails() {
        return examinationDetails;
    }

    public void setExaminationDetails(List<ExaminationDetail> examinationDetails) {
        this.examinationDetails = examinationDetails;
    }

    public String getExaminationId() {
        return examinationId;
    }

    public void setExaminationId(String examinationId) {
        this.examinationId = examinationId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getN() {
        return n;
    }

    public void setN(Integer n) {
        this.n = n;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }
}
